/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* E.P. Scene Graph
* Developed by:
*       - Eduardo Ribeiro (eribeiro @ tecgraf . puc-rio . br)
*       - Peter Dam (peter @ tecgraf . puc-rio . br)
* File: Transform.h
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef _EPSG_TRANSFORM_
#define _EPSG_TRANSFORM_

#include "EPSG/Group.h"
#include "EPSG/Mat4.h"

namespace EPSG
{
	class Transform : public Group
	{
	public:
		/* [CONSTRUCTOR] */	Transform();

		bool				setupCamera();
		int					setupLights();
		void				render();

		void				translate( float x, float y, float z );

	private:
		Mat4<float>			_tMatrix[16];
	};
}

#endif //_EPSG_TRANSFORM_